<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Validator;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use App\Models\tbl_page;
use App\Models\tbl_banner;
use App\Models\location;
use App\Models\partners;
use App\Models\Order;
use App\Models\bar_club_added;
use App\Models\websiteMange;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
use Carbon\Carbon;

class SearchController extends Controller
{
   
public function searchLocationsAjax(Request $request)
{
    $locationQuery = $request->input('location');

    $locations = location::where('is_active', 1)
        ->where('name', 'like', '%' . $locationQuery . '%')
        ->select('name')
        ->get();

    return response()->json(['locations' => $locations]);
}

public function searchBarsAjax(Request $request)
{
    $searchQuery = $request->input('search');
    $location = $request->input('location');

    $query = partners::where('status', 'active');

    if ($searchQuery) {
        $query->where('bar_club', 'like', '%' . $searchQuery . '%');
    }

    if ($location) {
        $query->where('location', $location);
    }

    $bars = $query->select('bar_club', 'location', 'location_url')->get();

    return response()->json(['bars' => $bars]);
}

public function searchResults(Request $request)
{
    $searchQuery = $request->input('search');
     $locations = location::where('is_active', 1)
        ->take(27) 
        ->get();
    $location = $request->input('location');

    
    $query = DB::table('bar_club_added')
        ->join('partners', 'bar_club_added.register_id', '=', 'partners.register_id')
        ->where('bar_club_added.status', 'active')
        ->where('partners.status', 'active')
        ->where('partners.request_accpect', '1')
        ->select(
            'bar_club_added.*', 
            'partners.address', 
            'partners.bar_club_url', 
            'partners.location_url',
            'bar_club_added.cover_images'  
        );

    if (!empty($searchQuery)) {
        $query->where('partners.bar_club', 'like', '%' . $searchQuery . '%');
    }

    if (!empty($location)) {
        $query->where('partners.location', 'like', '%' . $location . '%');
    }

    $results = $query->get();

    return view('search-results', [
        'results' => $results,
        'searchQuery' => $searchQuery,
        'location' => $location,
        'locations' => $locations,
    ]);
}





}
